Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.identifier
Interface IdentifierConfiguration

All Known Implementing Classes:
  AbstractDB2Dictionary, AbstractSQLServerDictionary, AccessDictionary, CacheDictionary, DB2Dictionary, DBDictionary, DefaultIdentifierConfiguration, DerbyDictionary, EmpressDictionary, FirebirdDictionary, FoxProDictionary, H2Dictionary, HSQLDictionary, InformixDictionary, IngresDictionary, InterbaseDictionary, JDataStoreDictionary, MaxDBDictionary, MySQLDictionary, OracleDictionary, PointbaseDictionary, PostgresDictionary, SolidDBDictionary, SQLServerDictionary, SybaseDictionary

    public interface IdentifierConfiguration

The IdentifierConfiguration interface. Implementers of this interface supply naming configuration information to consumers of names/identifiers.

Method Summary
`boolean` | `delimitAll()` Returns true if global name delimiting is enabled.
`String` | `getConversionKey()` Returns a key that can be used to determine whether conversion should take place.
`IdentifierRule` | `getDefaultIdentifierRule()` Gets the default naming rule
`String` | `getDelimitedCase()` Returns the case that is used when delimiting.
`String` | `getIdentifierConcatenator()` Returns the value used to concatenate multiple names together.
`String` | `getIdentifierDelimiter()` Returns the value used to delimit between individual names.
`
`<T> IdentifierRule`
` | `getIdentifierRule(T t)` Returns a naming rule or null if the rule is not found.
`
`<T> Map<T,IdentifierRule>`
` | `getIdentifierRules()` Returns all naming rules
`String` | `getLeadingDelimiter()` Returns the leading delimiter value to use when delimiting a name.
`String` | `getSchemaCase()` Returns the case that is used when delimiters are not used.
`boolean` | `getSupportsDelimitedIdentifiers()` Returns true if delimiting is supported
`String` | `getTrailingDelimiter()` Returns the trailing delimiter value to use when delimiting a name.

Method Detail

### getLeadingDelimiter

    String getLeadingDelimiter()

  Returns the leading delimiter value to use when delimiting a name.

### getTrailingDelimiter

    String getTrailingDelimiter()

  Returns the trailing delimiter value to use when delimiting a name.

### delimitAll

    boolean delimitAll()

  Returns true if global name delimiting is enabled.

### getSupportsDelimitedIdentifiers

    boolean getSupportsDelimitedIdentifiers()

  Returns true if delimiting is supported

### getIdentifierConcatenator

    String getIdentifierConcatenator()

  Returns the value used to concatenate multiple names together. For example: "_" used in TABLE1_TABLE2

### getIdentifierDelimiter

    String getIdentifierDelimiter()

  Returns the value used to delimit between individual names. For example: "." used in MYSCHEMA.MYTABLE

### getDefaultIdentifierRule

    IdentifierRule getDefaultIdentifierRule()

  Gets the default naming rule

### getIdentifierRules

    <T> Map<T,IdentifierRule> getIdentifierRules()

  Returns all naming rules

  Returns:

### getIdentifierRule

    <T> IdentifierRule getIdentifierRule(T t)

  Returns a naming rule or null if the rule is not found.

### getDelimitedCase

    String getDelimitedCase()

  Returns the case that is used when delimiting.

  Returns:
    upper, lower, or preserve

### getSchemaCase

    String getSchemaCase()

  Returns the case that is used when delimiters are not used.

  Returns:
    upper, lower, or preserve

### getConversionKey

    String getConversionKey()

  Returns a key that can be used to determine whether conversion should take place. Id configurations should create a key unique to their configuration. The typical key is: leading delimiter (") + name separator(.) + trailing delimiter(")

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.